﻿.OptionButton {
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    height: 30px;
    padding: 0px 20px;
    justify-content: center;
    display: flex;
    flex-direction: row;
    align-items: center;
    border-color: #DCDFE6;
    margin-right: 10px;
    cursor: pointer;
    margin-bottom: 10px;
}

.OptionButtonSelect {
    border-color: var(--theme-color) !important;
    color: var(--theme-color) !important;
}

.bg-FF7142-18 {
    background-color: rgba(255, 113, 66,  0.18);
}

.bg-FAFAFA {
    background-color: #FAFAFA;
}
.color-9B9B9B {
    color: #9B9B9B;
}
.Details img{max-width:945px}

.DetailsSelect {
    border-bottom: 2px solid #FF7142;
    color: var(--theme-color) !important;
}

.Comment {
    border-width: 1px;
    border-style: solid;
    border-radius: 16px;
    margin-right: 6px;
    height: 30px;
    width: 96px;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: row;
    border-color: #DCDFE6;
    cursor: pointer;
}
/****Swiper**********/
.swiper-next,.swiper-prev {
    display: block;
    width: 20px;
    height: 60px;
    border-radius: 3px;
    background-color: #d5d5d5;
    color: #fff;
    text-align: center;
    font-size: 20px;
    line-height: 60px;
    cursor: pointer;
}
.slides-nav {
    overflow:auto;
}
    .slides-nav::-webkit-scrollbar {
        display: none;
    }
.slides-nav-item {
    margin-right: 6px;
    cursor:pointer;
}
    .slides-nav-item:last-child {
        margin-right:0;
    }
.swiper-wrapper {
    position: relative;
    height: 100%;
    display: flex;
    overflow: hidden;
}


    .swiper-wrapper .banner-scroll-wrap {
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
    }
        .swiper-wrapper .banner-scroll-wrap img {
            max-width: 400px;
            max-height: 400px;
        }
        .right-enter-active, .right-leave-active {
            transition: all 0.3s ease;
        }

.right-enter {
    transform: translateX(100%);
}

.right-leave-to {
    transform: translateX(-100%);
}

.left-enter-active, .left-leave-active {
    transition: all 0.3s ease;
}

.left-enter {
    transform: translateX(-100%);
}

.left-leave-to {
    transform: translateX(100%);
}
.collect-shop {
    position: absolute;
    right: 10px;
    width: 28px;
    height: 28px;
    z-index:99;
    background-color: rgba(0, 0, 0, 0.2);
}
    .collect-shop img {
        width: 18px;
        height: 18px;
    }

.modal-wrap.coupon-box {
    position: inherit;
    display: flex;
    justify-content: flex-end;
    background-color: inherit;
}
.coupon-box .modal-content {
    top: 172px;
    width: 315px;
    height: 100%;
    max-height: inherit;
    text-align: center;
    border-radius: 20px 0px 0px 20px;
    box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.18);
}
    .coupon-box .modal-content .modal-header {
        padding-top: 20px;
        padding-left: 20px;
    }
    .coupon-box .modal-content .model-title {
        font-size: 16px;
        text-align: left;
        padding-top: 5px;
    }

form::-webkit-scrollbar, .items-nav::-webkit-scrollbar {
    display: none;
}
.items-nav {
    overflow: auto;
}
.items-nav-list {
    position: relative;
    width: max-content;
    overflow: auto;
}